com.genesyslab.wfm7.API.service.schedule761

## Class SchScenarioProfile

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule761.SchScenarioProfile

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioProfile
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `wmCurrNumber`
    `private double` | `wmGrowPerc`
    `private int` | `wmMaxNumber`
    `private int` | `wmMinNumber`
    `private int` | `wmProfileId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioProfile()`
    `SchScenarioProfile(int wmProfileId, int wmMinNumber, int wmMaxNumber, int wmCurrNumber, double wmGrowPerc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getWmCurrNumber()` Gets the wmCurrNumber value for this SchScenarioProfile.
    `double` | `getWmGrowPerc()` Gets the wmGrowPerc value for this SchScenarioProfile.
    `int` | `getWmMaxNumber()` Gets the wmMaxNumber value for this SchScenarioProfile.
    `int` | `getWmMinNumber()` Gets the wmMinNumber value for this SchScenarioProfile.
    `int` | `getWmProfileId()` Gets the wmProfileId value for this SchScenarioProfile.
    `void` | `setWmCurrNumber(int wmCurrNumber)` Sets the wmCurrNumber value for this SchScenarioProfile.
    `void` | `setWmGrowPerc(double wmGrowPerc)` Sets the wmGrowPerc value for this SchScenarioProfile.
    `void` | `setWmMaxNumber(int wmMaxNumber)` Sets the wmMaxNumber value for this SchScenarioProfile.
    `void` | `setWmMinNumber(int wmMinNumber)` Sets the wmMinNumber value for this SchScenarioProfile.
    `void` | `setWmProfileId(int wmProfileId)` Sets the wmProfileId value for this SchScenarioProfile.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmProfileId

          private int wmProfileId

    - #### wmMinNumber

          private int wmMinNumber

    - #### wmMaxNumber

          private int wmMaxNumber

    - #### wmCurrNumber

          private int wmCurrNumber

    - #### wmGrowPerc

          private double wmGrowPerc

  - ### Constructor Detail

    - #### SchScenarioProfile

          public SchScenarioProfile()

    - #### SchScenarioProfile

          public SchScenarioProfile(int wmProfileId,
                            int wmMinNumber,
                            int wmMaxNumber,
                            int wmCurrNumber,
                            double wmGrowPerc)

  - ### Method Detail

    - #### getWmProfileId

          public int getWmProfileId()

      Gets the wmProfileId value for this SchScenarioProfile.
      Returns:
        wmProfileId

    - #### setWmProfileId

          public void setWmProfileId(int wmProfileId)

      Sets the wmProfileId value for this SchScenarioProfile.
      Parameters:
        `wmProfileId` -

    - #### getWmMinNumber

          public int getWmMinNumber()

      Gets the wmMinNumber value for this SchScenarioProfile.
      Returns:
        wmMinNumber

    - #### setWmMinNumber

          public void setWmMinNumber(int wmMinNumber)

      Sets the wmMinNumber value for this SchScenarioProfile.
      Parameters:
        `wmMinNumber` -

    - #### getWmMaxNumber

          public int getWmMaxNumber()

      Gets the wmMaxNumber value for this SchScenarioProfile.
      Returns:
        wmMaxNumber

    - #### setWmMaxNumber

          public void setWmMaxNumber(int wmMaxNumber)

      Sets the wmMaxNumber value for this SchScenarioProfile.
      Parameters:
        `wmMaxNumber` -

    - #### getWmCurrNumber

          public int getWmCurrNumber()

      Gets the wmCurrNumber value for this SchScenarioProfile.
      Returns:
        wmCurrNumber

    - #### setWmCurrNumber

          public void setWmCurrNumber(int wmCurrNumber)

      Sets the wmCurrNumber value for this SchScenarioProfile.
      Parameters:
        `wmCurrNumber` -

    - #### getWmGrowPerc

          public double getWmGrowPerc()

      Gets the wmGrowPerc value for this SchScenarioProfile.
      Returns:
        wmGrowPerc

    - #### setWmGrowPerc

          public void setWmGrowPerc(double wmGrowPerc)

      Sets the wmGrowPerc value for this SchScenarioProfile.
      Parameters:
        `wmGrowPerc` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.